A:link {
	color: blue;
	text-decoration: underline;
}
A:visited {
	color: purple;
	text-decoration: underline;
}
A:active {
	color: red;
	text-decoration: underline;
}
P.Address {
	text-align: justify;
	text-indent: 0.000000pt;
	margin-top: 5.000000pt;
	margin-bottom: 14.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.AppendixTableTitle, H2.AppendixTableTitle, H3.AppendixTableTitle, H4.AppendixTableTitle, H5.AppendixTableTitle, H6.AppendixTableTitle {
	text-align: center;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.Appndix, H2.Appndix, H3.Appndix, H4.Appndix, H5.Appndix, H6.Appndix {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 18.000000pt;
	margin-bottom: 36.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 18.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.AppndixCommand {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 28.000000pt;
	margin-bottom: 14.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #000000;
	text-decoration: underline ;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.AppndixHeading1, H2.AppndixHeading1, H3.AppndixHeading1, H4.AppndixHeading1, H5.AppndixHeading1, H6.AppndixHeading1 {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 34.000000pt;
	margin-bottom: 17.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.AppndixHeading1TOC {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 18.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Oblique;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.AppndixHeading2, H2.AppndixHeading2, H3.AppndixHeading2, H4.AppndixHeading2, H5.AppndixHeading2, H6.AppndixHeading2 {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 24.000000pt;
	margin-bottom: 12.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.AppndixHeading2TOC {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 36.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.AppndixHeading3, H2.AppndixHeading3, H3.AppndixHeading3, H4.AppndixHeading3, H5.AppndixHeading3, H6.AppndixHeading3 {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 34.000000pt;
	margin-bottom: 17.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: Bold;
	font-style: Italic;
	color: #000000;
	text-decoration: underline ;
	vertical-align: baseline;
	text-transform: none;
	font-family: Palatino;
}
LI.AppndixHeading3TOC {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 36.000000pt;
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
LI.AppndixTOC {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 14.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
P.Body {
	text-align: justify;
	text-indent: 0.000000pt;
	margin-top: 5.000000pt;
	margin-bottom: 14.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
P.CellBody {
	text-align: center;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
P.CellBodyNum {
	text-align: right;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 10.799988pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
H1.CellHeading, H2.CellHeading, H3.CellHeading, H4.CellHeading, H5.CellHeading, H6.CellHeading {
	text-align: center;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
P.Centered {
	text-align: center;
	text-indent: 0.000000pt;
	margin-top: 14.000000pt;
	margin-bottom: 5.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
PRE.Command {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 14.000000pt;
	margin-right: 0.000000pt;
	margin-left: 18.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Courier;
}
H1.CommandHeading, H2.CommandHeading, H3.CommandHeading, H4.CommandHeading, H5.CommandHeading, H6.CommandHeading {
	text-align: justify;
	text-indent: 0.000000pt;
	margin-top: 17.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #000000;
	text-decoration: underline ;
	vertical-align: baseline;
	text-transform: none;
	font-family: Courier;
}
PRE.CouriSmall {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Courier;
}
P.Footnote {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 18.000000pt;
	margin-left: 18.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
H1.FronticeHeading, H2.FronticeHeading, H3.FronticeHeading, H4.FronticeHeading, H5.FronticeHeading, H6.FronticeHeading {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 13.000000pt;
	margin-bottom: 16.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
P.HeaderFooterLeft {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 10.000000pt;
	margin-bottom: 12.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #7f7f7f;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
P.HeaderFooterRight {
	text-align: right;
	text-indent: 0.000000pt;
	margin-top: 10.000000pt;
	margin-bottom: 12.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #7f7f7f;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.Heading, H2.Heading, H3.Heading, H4.Heading, H5.Heading, H6.Heading {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 18.000000pt;
	margin-bottom: 36.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 18.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.Heading2, H2.Heading2, H3.Heading2, H4.Heading2, H5.Heading2, H6.Heading2 {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 14.000000pt;
	margin-bottom: 17.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.Heading2-TOC {
	text-align: left;
	text-indent: 18.000000pt;
	margin-top: 16.000000pt;
	margin-bottom: 19.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 16.000000pt;
	font-weight: Bold;
	font-style: Italic;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Palatino;
}
LI.Heading2TOC {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 36.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.Heading3, H2.Heading3, H3.Heading3, H4.Heading3, H5.Heading3, H6.Heading3 {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 16.000000pt;
	margin-bottom: 19.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: Bold;
	font-style: Oblique;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.HeadingTOC {
	text-align: left;
	text-indent: -18.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 36.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.Instructions {
	text-align: left;
	text-indent: -21.599991pt;
	margin-top: 12.000000pt;
	margin-bottom: 14.000000pt;
	margin-right: 0.000000pt;
	margin-left: 57.599991pt;
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
P.Keyword {
	text-align: justify;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 10.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Courier;
}
P.Mapping-Table-Cell {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 2.000000pt;
	margin-bottom: 2.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
P.Mapping-Table-Title {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 2.000000pt;
	margin-bottom: 2.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 14.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
BLOCKQUOTE.Quote {
	text-align: justify;
	text-indent: 0.000000pt;
	margin-top: 4.000000pt;
	margin-bottom: 12.000000pt;
	margin-right: 36.000000pt;
	margin-left: 36.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Italic;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
P.TableFootnote {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 18.000000pt;
	margin-left: 18.000000pt;
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
H1.TableTitle, H2.TableTitle, H3.TableTitle, H4.TableTitle, H5.TableTitle, H6.TableTitle {
	text-align: center;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 9.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
H1.Title, H2.Title, H3.Title, H4.Title, H5.Title, H6.Title {
	text-align: center;
	text-indent: 0.000000pt;
	margin-top: 0.000000pt;
	margin-bottom: 16.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 24.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
LI.TitleTOC {
	text-align: left;
	text-indent: 0.000000pt;
	margin-top: 14.000000pt;
	margin-bottom: 0.000000pt;
	margin-right: 0.000000pt;
	margin-left: 0.000000pt;
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Helvetica;
}
EM.AvantGarde {
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	font-family: AvantGarde;
}
STRONG.Bold {
	font-weight: Bold;
}
CODE.Courier {
	font-size: 12.000000pt;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	font-family: Courier;
}
CODE.Courier-Bold {
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	font-family: Courier;
}
CODE.Courier-Small {
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Courier;
}
STRONG.Embolden {
	font-size: 12.000000pt;
	font-weight: Bold;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
EM.Emphasis {
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Italic;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
EM.EquationVariables {
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Symbol;
}
EM.Subscript {
	color: #000000;
	text-decoration: none;
	vertical-align: sub;
	font-family: Times;
}
EM.Superscript {
	font-size: 10.000000pt;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: super;
	font-family: Times;
}
EM.Symbol {
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Symbol;
}
PLAIN TEXT.Times {
	font-size: 12.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
PLAIN TEXT.TimesSmall {
	font-size: 10.000000pt;
	font-weight: medium;
	font-style: Regular;
	color: #000000;
	text-decoration: none;
	vertical-align: baseline;
	text-transform: none;
	font-family: Times;
}
EM.Underlined {
	text-decoration: underline ;
	vertical-align: baseline;
	text-transform: none;
}
